Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.management.relation
Interface RelationType

All Superinterfaces:
  Serializable

All Known Implementing Classes:
  RelationTypeSupport

public interface RelationType
extends Serializable

This interface is implemented by a class that represents a relation.

The class `RelationTypeSupport` is available to help implement this interface.

A relation type has a name and a list of role info objects for the relation.

A relation type has to registered in the relation service. This is done either by using createRelationType() to get a RelationTypeSupport object kepy in the relation service, or by using addRelationType() to add an external relation type to the relation service.

Version:
  $Revision: 1.1 $
Author:
  Adrian Brock.

Method Summary
`String` | `getRelationTypeName()` Retrieves the name of this relation type.
`RoleInfo` | `getRoleInfo(String roleInfoName)` Retrieves the role info for a role name.
`List` | `getRoleInfos()` Retrieves the list of role definitions in this relation type.

Method Detail

### getRelationTypeName

    public String getRelationTypeName()

  Retrieves the name of this relation type.

  Returns:
    the name.

### getRoleInfos

    public List getRoleInfos()

  Retrieves the list of role definitions in this relation type.

  The return value is a list of RoleInfo objects. The list must be an ArrayList.

  Returns:
    the list of Role Infos.

### getRoleInfo

    public RoleInfo getRoleInfo(String roleInfoName)
                         throws IllegalArgumentException,
                                RoleInfoNotFoundException

  Retrieves the role info for a role name.

  Returns:
    the role info or null.
  Throws:
    `IllegalArgumentException` - for a null role info name.
    `RoleInfoNotFoundException` - for no role info with the passed name in the relation type.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.